Macaulay2 » Documentation
Packages » MonomialOrbits » MonomialType
next | previous | forward | backward | up | index | toc

# MonomialType -- MonomialType => "SquareFree" or "All"

- Usage:
    `orbitRepresentatives(S,degs,MonomialType => "SquareFree")`

## Description

The default is "All".

## Functions with optional argument named MonomialType:

- `hilbertRepresentatives(...,MonomialType=>...)` -- see hilbertRepresentatives -- find representatives of monomial ideals under permutations of the variables
- `orbitRepresentatives(...,MonomialType=>...)` -- see orbitRepresentatives -- find representatives of monomial ideals under permutations of variables

## For the programmer

The object MonomialType is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MonomialOrbits.m2:543:0.